This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 502102 - *** glibc detected *** /sbin/parted: double free or corruption (!prev): 0x00000000008386f0 ***
*** glibc detected *** /sbin/parted: double free or corruption (!prev): 0x000...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-05-21 17:15 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 09:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-05-21 17:15:01 EDT
Description of problem:

Attempting to add a GPT label to a USB stick.

gdb $(which parted)
GNU gdb (GDB) Fedora (6.8.50.20090302-21.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) set args --script /dev/sdb mklabel gpt
(gdb) run
Starting program: /sbin/parted --script /dev/sdb mklabel gpt
warning: Unable to open "librpm.so" (librpm.so: cannot open shared object file: No such file or directory), missing debuginfos notifications will not be displayed
Missing separate debuginfo for /lib64/libuuid.so.1
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/a1/474964e1eb5c876b9d4679fd31007f9bfa0db6.debug
[Thread debugging using libthread_db enabled]
*** glibc detected *** /sbin/parted: double free or corruption (!prev): 0x00000000008386f0 ***
Missing separate debuginfo for /lib64/libgcc_s.so.1
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2d/71efecf2876da5ca07c3b5acf28fe281c96942.debug
======= Backtrace: =========
/lib64/libc.so.6[0x353a675a26]
/lib64/libparted-1.8.so.8[0x3ef3640faf]
/lib64/libparted-1.8.so.8[0x3ef3642860]
/lib64/libparted-1.8.so.8(ped_disk_new+0x99)[0x3ef3615939]
/sbin/parted[0x408d28]
/sbin/parted(non_interactive_mode+0x8c)[0x40c26c]
/sbin/parted(main+0x67)[0x40a707]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x353a61ea2d]
/sbin/parted[0x405349]
======= Memory map: ========
00400000-00414000 r-xp 00000000 08:02 614318                             /sbin/parted
00613000-00614000 rw-p 00013000 08:02 614318                             /sbin/parted
00614000-00615000 rw-p 00614000 00:00 0 
00813000-00816000 rw-p 00013000 08:02 614318                             /sbin/parted
00816000-00858000 rw-p 00816000 00:00 0                                  [heap]
353a200000-353a21f000 r-xp 00000000 08:02 606968                         /lib64/ld-2.10.1.so
353a41e000-353a41f000 r--p 0001e000 08:02 606968                         /lib64/ld-2.10.1.so
353a41f000-353a420000 rw-p 0001f000 08:02 606968                         /lib64/ld-2.10.1.so
353a600000-353a764000 r-xp 00000000 08:02 606969                         /lib64/libc-2.10.1.so
353a764000-353a964000 ---p 00164000 08:02 606969                         /lib64/libc-2.10.1.so
353a964000-353a968000 r--p 00164000 08:02 606969                         /lib64/libc-2.10.1.so
353a968000-353a969000 rw-p 00168000 08:02 606969                         /lib64/libc-2.10.1.so
353a969000-353a96e000 rw-p 353a969000 00:00 0 
353ae00000-353ae02000 r-xp 00000000 08:02 606975                         /lib64/libdl-2.10.1.so
353ae02000-353b002000 ---p 00002000 08:02 606975                         /lib64/libdl-2.10.1.so
353b002000-353b003000 r--p 00002000 08:02 606975                         /lib64/libdl-2.10.1.so
353b003000-353b004000 rw-p 00003000 08:02 606975                         /lib64/libdl-2.10.1.so
353b200000-353b217000 r-xp 00000000 08:02 606979                         /lib64/libpthread-2.10.1.so
353b217000-353b416000 ---p 00017000 08:02 606979                         /lib64/libpthread-2.10.1.so
353b416000-353b417000 r--p 00016000 08:02 606979                         /lib64/libpthread-2.10.1.so
353b417000-353b418000 rw-p 00017000 08:02 606979                         /lib64/libpthread-2.10.1.so
353b418000-353b41c000 rw-p 353b418000 00:00 0 
353ba00000-353ba1c000 r-xp 00000000 08:02 606977                         /lib64/libselinux.so.1
353ba1c000-353bc1b000 ---p 0001c000 08:02 606977                         /lib64/libselinux.so.1
353bc1b000-353bc1c000 r--p 0001b000 08:02 606977                         /lib64/libselinux.so.1
353bc1c000-353bc1d000 rw-p 0001c000 08:02 606977                         /lib64/libselinux.so.1
353bc1d000-353bc1e000 rw-p 353bc1d000 00:00 0 
353be00000-353be07000 r-xp 00000000 08:02 606980                         /lib64/librt-2.10.1.so
353be07000-353c006000 ---p 00007000 08:02 606980                         /lib64/librt-2.10.1.so
353c006000-353c007000 r--p 00006000 08:02 606980                         /lib64/librt-2.10.1.so
353c007000-353c008000 rw-p 00007000 08:02 606980                         /lib64/librt-2.10.1.so
353da00000-353da3a000 r-xp 00000000 08:02 603923                         /lib64/libsepol.so.1
353da3a000-353dc39000 ---p 0003a000 08:02 603923                         /lib64/libsepol.so.1
353dc39000-353dc3a000 rw-p 00039000 08:02 603923                         /lib64/libsepol.so.1
3544200000-3544204000 r-xp 00000000 08:02 606996                         /lib64/libuuid.so.1.2
3544204000-3544403000 ---p 00004000 08:02 606996                         /lib64/libuuid.so.1.2
3544403000-3544404000 rw-p 00003000 08:02 606996                         /lib64/libuuid.so.1.2
3548800000-3548819000 r-xp 00000000 08:02 606997                         /lib64/libgcc_s-4.4.0-20090506.so.1
3548819000-3548a19000 ---p 00019000 08:02 606997                         /lib64/libgcc_s-4.4.0-20090506.so.1
3548a19000-3548a1a000 rw-p 00019000 08:02 606997                         /lib64/libgcc_s-4.4.0-20090506.so.1
3ef3200000-3ef3216000 r-xp 00000000 08:02 603914                         /lib64/libdevmapper.so.1.02
3ef3216000-3ef3415000 ---p 00016000 08:02 603914                         /lib64/libdevmapper.so.1.02
3ef3415000-3ef3417000 rw-p 00015000 08:02 603914                         /lib64/libdevmapper.so.1.02
3ef3600000-3ef365c000 r-xp 00000000 08:02 603935                         /lib64/libparted-1.8.so.8.0.0
3ef365c000-3ef385c000 ---p 0005c000 08:02 603935                         /lib64/libparted-1.8.so.8.0.0
3ef385c000-3ef385f000 rw-p 0005c000 08:02 603935                         /lib64/libparted-1.8.so.8.0.0
3ef385f000-3ef3860000 rw-p 3ef385f000 00:00 0 
3ef3a00000-3ef3a1c000 r-xp 00000000 08:02 607080                         /lib64/libtinfo.so.5.7
3ef3a1c000-3ef3c1c000 ---p 0001c000 08:02 607080                         /lib64/libtinfo.so.5.7
3ef3c1c000-3ef3c20000 rw-p 0001c000 08:02 607080                         /lib64/libtinfo.so.5.7
3ef3e00000-3ef3e37000 r-xp 00000000 08:02 607081                         /lib64/libreadline.so.5.2
3ef3e37000-3ef4037000 ---p 00037000 08:02 607081                         /lib64/libreadline.so.5.2
3ef4037000-3ef403f000 rw-p 00037000 08:02 607081                         /lib64/libreadline.so.5.2
3ef403f000-3ef4040000 rw-p 3ef403f000 00:00 0 
7ffff2f13000-7ffff7fe6000 r--p 00000000 08:02 531434                     /usr/lib/locale/locale-archive
7ffff7fe6000-7ffff7fed000 rw-p 7ffff7fe6000 00:00 0 
7ffff7ff4000-7ffff7ff5000 rw-p 7ffff7ff4000 00:00 0 
7ffff7ff5000-7ffff7ffc000 r--s 00000000 08:02 539506                     /usr/lib64/gconv/gconv-modules.cache
7ffff7ffc000-7ffff7ffe000 rw-p 7ffff7ffc000 00:00 0 
7ffff7ffe000-7ffff7fff000 r-xp 7ffff7ffe000 00:00 0                      [vdso]
7ffffffea000-7ffffffff000 rw-p 7ffffffea000 00:00 0                      [stack]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Program received signal SIGABRT, Aborted.
0x000000353a6332f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Current language:  auto; currently minimal
(gdb) bt
#0  0x000000353a6332f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000353a634b20 in *__GI_abort () at abort.c:88
#2  0x000000353a67005d in __libc_message (do_abort=2, 
    fmt=0x7fffffffdc50 " 00:00 0 \n7ffff7ff5000-7ffff7ffc000 r--s 00000000 08:02 539506", ' ' <repeats 21 times>, "/usr/lib64/gconv/gconv-modules.cache\n7ffff7ffc000-7ffff7ffe000 rw-p 7ffff7ffc000 00:00 0 \n7ffff7ffe000-7ffff7fff000 r"...)
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x000000353a675a26 in malloc_printerr (action=3, 
    str=0x353a735cc8 "double free or corruption (!prev)", 
    ptr=<value optimized out>) at malloc.c:6196
#4  0x0000003ef3640faf in pth_free (pth=0x838150) at gpt.c:328
#5  0x0000003ef3642860 in gpt_read (disk=0x838060) at gpt.c:954
#6  0x0000003ef3615939 in ped_disk_new (dev=0x838fe0) at disk.c:209
#7  0x0000000000408d28 in do_mklabel (dev=0x7fffffffe528) at parted.c:602
#8  0x000000000040c26c in non_interactive_mode (dev=0x7fffffffe528, 
    cmd_list=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>) at ui.c:1545
#9  0x000000000040a707 in main (argc=2, argv=0x7fffffffe630) at parted.c:2480

#5  0x0000003ef3642860 in gpt_read (disk=0x838060) at gpt.c:954
954			pth_free (agpt);
(gdb) print agpt
$1 = (GuidPartitionTableHeader_t *) 0x838150
(gdb) print *agpt
$2 = {Signature = 7782277564280171567, Revision = 1667719785, 
  HeaderSize = 779312995, HeaderCRC32 = 825126771, Reserved1 = 0, MyLBA = 65, 
  AlternateLBA = 8619760, FirstUsableLBA = 140737354056928, 
  LastUsableLBA = 228610667760, DiskGUID = {time_low = 0, time_mid = 0, 
    time_hi_and_version = 0, clock_seq_hi_and_reserved = 240 '\360', 
    clock_seq_low = 134 '\206', node = "\203\0\0\0\0"}, 
  PartitionEntryLBA = 140737354056928, NumberOfPartitionEntries = 977401072, 
  SizeOfPartitionEntry = 53, PartitionEntryArrayCRC32 = 81, 
  Reserved2 = 0x3a969f1800000000 <Address 0x3a969f1800000000 out of bounds>}

Version-Release number of selected component (if applicable):

parted-1.8.8-17.fc11.x86_64

How reproducible:

100% on this stick

Steps to Reproduce:
1. parted --script /dev/sdb mklabel gpt
2.
3. Profit!
Comment 1 Bug Zapper 2009-06-09 12:17:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joel Andres Granados 2009-06-12 09:26:58 EDT
I'm releasing the parted version that is currently in upstream to f12.  Upstream has not yet done the "official" release of 1.9.0, but the code that is in master will not change much before release.
The fix for this issue is contained in that release.  Pls go to   http://koji.fedoraproject.org/koji/taskinfo?taskID=1408157.  Feel free to reopen this issue if you see that this issue has not gone away.

Note You need to log in before you can comment on or make changes to this bug.